> ## Documentation Index
> Fetch the complete documentation index at: https://docs.factory.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List enterprise control change history

> Returns a paginated list of enterprise control setting changes for the organization, ordered by revision descending. Properties for the `settings` object may be added, removed, or renamed between API versions. Clients should parse it as a generic JSON object.



## OpenAPI

````yaml https://api.factory.ai/api/v0/openapi.json get /api/v0/organization/enterprise-controls/history
openapi: 3.0.1
info:
  title: Factory Public API
  description: >-
    Public API for Factory platform. Requires authentication via the
    `Authorization: Bearer` header.
  version: 0.1.0
servers:
  - url: https://api.factory.ai/
    description: Production
security:
  - BearerAuth: []
paths:
  /api/v0/organization/enterprise-controls/history:
    get:
      tags:
        - Organization
      summary: List enterprise control change history
      description: >-
        Returns a paginated list of enterprise control setting changes for the
        organization, ordered by revision descending. Properties for the
        `settings` object may be added, removed, or renamed between API
        versions. Clients should parse it as a generic JSON object.
      operationId: listEnterpriseControlChangeHistory
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: string
            default: '20'
            description: Maximum number of items to return (1-100)
        - name: cursor
          in: query
          required: false
          schema:
            type: string
            description: Cursor for pagination
      responses:
        '200':
          description: Response for status 200
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListEnterpriseControlChangeHistory200ResponseBody
        '400':
          description: Response for status 400
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListEnterpriseControlChangeHistory400ResponseBody
        '401':
          description: Response for status 401
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListEnterpriseControlChangeHistory401ResponseBody
        '403':
          description: Response for status 403
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListEnterpriseControlChangeHistory403ResponseBody
        '500':
          description: Response for status 500
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListEnterpriseControlChangeHistory500ResponseBody
components:
  schemas:
    ListEnterpriseControlChangeHistory200ResponseBody:
      type: object
      properties:
        changes:
          type: array
          items:
            type: object
            properties:
              revision:
                type: integer
                description: Revision number of the change
              settings:
                type: object
                properties:
                  sessionDefaultSettings:
                    type: object
                    properties:
                      model:
                        type: string
                      reasoningEffort:
                        type: string
                        enum:
                          - none
                          - dynamic
                          - 'off'
                          - minimal
                          - low
                          - medium
                          - high
                          - xhigh
                          - max
                      interactionMode:
                        type: string
                        enum:
                          - auto
                          - spec
                          - agi
                      autonomyLevel:
                        type: string
                        enum:
                          - 'off'
                          - low
                          - medium
                          - high
                      autonomyMode:
                        type: string
                        enum:
                          - normal
                          - spec
                          - auto-low
                          - auto-medium
                          - auto-high
                        description: >-
                          Deprecated: use interactionMode + autonomyLevel
                          instead.
                      specModeModel:
                        type: string
                      specModeReasoningEffort:
                        type: string
                        enum:
                          - none
                          - dynamic
                          - 'off'
                          - minimal
                          - low
                          - medium
                          - high
                          - xhigh
                          - max
                    additionalProperties: false
                  maxAutonomyLevel:
                    type: string
                    enum:
                      - 'off'
                      - low
                      - medium
                      - high
                  mcpAutonomyOverrides:
                    type: object
                    additionalProperties:
                      type: object
                      properties:
                        defaultLevel:
                          type: string
                          enum:
                            - low
                            - medium
                            - high
                        tools:
                          type: object
                          additionalProperties:
                            type: string
                            enum:
                              - low
                              - medium
                              - high
                      additionalProperties: false
                  cloudSessionSync:
                    type: boolean
                  wikiCloudSync:
                    type: boolean
                  includeCoAuthoredByDroid:
                    type: boolean
                  enableDroidShield:
                    type: boolean
                  ideAutoConnect:
                    type: boolean
                  commandAllowlist:
                    type: array
                    items:
                      type: string
                  commandDenylist:
                    type: array
                    items:
                      type: string
                  customModels:
                    type: array
                    items:
                      type: object
                      properties:
                        model:
                          type: string
                        id:
                          type: string
                        index:
                          type: number
                        baseUrl:
                          type: string
                        apiKey:
                          type: string
                        provider:
                          type: string
                          enum:
                            - anthropic
                            - openai
                            - generic-chat-completion-api
                            - factory
                            - google
                            - xai
                            - voyage
                        displayName:
                          type: string
                        maxContextLimit:
                          type: number
                        enableThinking:
                          type: boolean
                        thinkingMaxTokens:
                          type: number
                        maxOutputTokens:
                          type: number
                        reasoningEffort:
                          type: string
                          enum:
                            - none
                            - dynamic
                            - 'off'
                            - minimal
                            - low
                            - medium
                            - high
                            - xhigh
                            - max
                        extraHeaders:
                          type: object
                          additionalProperties:
                            type: string
                        extraArgs:
                          type: object
                          additionalProperties: {}
                        noImageSupport:
                          type: boolean
                        bedrock:
                          type: object
                          properties:
                            awsProfile:
                              type: string
                            awsRegion:
                              type: string
                              minLength: 1
                            bedrockBaseUrl:
                              type: string
                              format: uri
                            awsAuthRefresh:
                              type: string
                            awsCredentialExport:
                              type: string
                          additionalProperties: false
                      required:
                        - model
                        - provider
                      additionalProperties: false
                  modelPolicy:
                    type: object
                    properties:
                      allowedModelIds:
                        type: array
                        items:
                          type: string
                      blockedModelIds:
                        type: array
                        items:
                          type: string
                      allowCustomModels:
                        type: boolean
                      allowedBaseUrls:
                        type: array
                        items:
                          type: string
                      allowAllFactoryModels:
                        type: boolean
                      isFastModelsAllowed:
                        type: boolean
                    additionalProperties: false
                  mcpPolicy:
                    type: object
                    properties:
                      enabled:
                        type: boolean
                        default: false
                      allowlist:
                        type: array
                        items:
                          type: string
                    additionalProperties: false
                  missionPolicy:
                    type: object
                    properties:
                      restrictedAccess:
                        type: boolean
                        default: false
                      allowedUserIds:
                        type: array
                        items:
                          type: string
                    additionalProperties: false
                  userModelPolicies:
                    type: object
                    additionalProperties:
                      type: object
                      properties:
                        allowedModelIds:
                          type: array
                          items:
                            type: string
                        blockedModelIds:
                          type: array
                          items:
                            type: string
                      required:
                        - allowedModelIds
                        - blockedModelIds
                      additionalProperties: false
                  enabledPlugins:
                    type: object
                    additionalProperties:
                      type: boolean
                  extraKnownMarketplaces:
                    type: object
                    additionalProperties:
                      type: object
                      properties:
                        source:
                          anyOf:
                            - type: object
                              properties:
                                source:
                                  type: string
                                  enum:
                                    - github
                                repo:
                                  type: string
                              required:
                                - source
                                - repo
                              additionalProperties: false
                            - type: object
                              properties:
                                source:
                                  type: string
                                  enum:
                                    - url
                                url:
                                  type: string
                              required:
                                - source
                                - url
                              additionalProperties: false
                            - type: object
                              properties:
                                source:
                                  type: string
                                  enum:
                                    - local
                                path:
                                  type: string
                              required:
                                - source
                                - path
                              additionalProperties: false
                            - type: object
                              properties:
                                source:
                                  type: string
                                  enum:
                                    - git-subdir
                                url:
                                  type: string
                                path:
                                  type: string
                              required:
                                - source
                                - url
                                - path
                              additionalProperties: false
                      required:
                        - source
                      additionalProperties: false
                  strictKnownMarketplaces:
                    type: array
                    items:
                      anyOf:
                        - type: object
                          properties:
                            source:
                              type: string
                              enum:
                                - github
                            repo:
                              type: string
                          required:
                            - source
                            - repo
                          additionalProperties: false
                        - type: object
                          properties:
                            source:
                              type: string
                              enum:
                                - url
                            url:
                              type: string
                          required:
                            - source
                            - url
                          additionalProperties: false
                        - type: object
                          properties:
                            source:
                              type: string
                              enum:
                                - local
                            path:
                              type: string
                          required:
                            - source
                            - path
                          additionalProperties: false
                        - type: object
                          properties:
                            source:
                              type: string
                              enum:
                                - git-subdir
                            url:
                              type: string
                            path:
                              type: string
                          required:
                            - source
                            - url
                            - path
                          additionalProperties: false
                  networkPolicy:
                    type: object
                    properties:
                      allowedIps:
                        type: array
                        items:
                          type: string
                        minItems: 1
                    required:
                      - allowedIps
                    additionalProperties: false
                  sandbox:
                    type: object
                    properties:
                      enabled:
                        type: boolean
                      mode:
                        type: string
                        enum:
                          - per-command
                          - whole-process
                      filesystem:
                        type: object
                        properties:
                          allowWrite:
                            type: array
                            items:
                              type: string
                          allowRead:
                            type: array
                            items:
                              type: string
                          denyWrite:
                            type: array
                            items:
                              type: string
                          denyRead:
                            type: array
                            items:
                              type: string
                        additionalProperties: false
                      network:
                        type: object
                        properties:
                          allowedDomains:
                            type: array
                            items:
                              type: string
                          allowUnixSockets:
                            type: array
                            items:
                              type: string
                          allowAllUnixSockets:
                            type: boolean
                          allowLocalBinding:
                            type: boolean
                          httpProxyPort:
                            type: number
                          socksProxyPort:
                            type: number
                        additionalProperties: false
                    additionalProperties: false
                  restrictMemberVisibility:
                    type: boolean
                  restrictApiKeyCreationToManagers:
                    type: boolean
                  managedComputersEnabled:
                    type: boolean
                  managedComputersAllowedEmails:
                    type: array
                    items:
                      type: string
                  byomComputersEnabled:
                    type: boolean
                  byomComputersAllowedEmails:
                    type: array
                    items:
                      type: string
                  sessionRetentionDays:
                    type: integer
                    minimum: 14
                    maximum: 365
                additionalProperties: true
                description: >-
                  The managed settings snapshot at this revision. Properties may
                  be added, removed, or renamed between API versions. Clients
                  should parse this as a generic JSON object.
              user:
                type: object
                properties:
                  id:
                    type: string
                    description: WorkOS user ID who made the change
                  email:
                    type: string
                    nullable: true
                    description: Email of the user who made the change
                  name:
                    type: string
                    nullable: true
                    description: Display name of the user who made the change
                required:
                  - id
                  - email
                  - name
                additionalProperties: false
                description: The user who made the change
              updatedAt:
                type: string
                format: date-time
                description: ISO 8601 timestamp of when the change was made
            required:
              - revision
              - settings
              - user
              - updatedAt
            additionalProperties: false
          description: List of enterprise control changes
        pagination:
          type: object
          properties:
            hasMore:
              type: boolean
              description: Whether there are more items after this page
            nextCursor:
              type: string
              nullable: true
              description: Cursor to use for the next page, null if no more pages
          required:
            - hasMore
            - nextCursor
          additionalProperties: false
      required:
        - changes
        - pagination
      additionalProperties: false
    ListEnterpriseControlChangeHistory400ResponseBody:
      type: object
      properties:
        detail:
          type: string
          description: Human-readable error message
        status:
          type: number
          description: HTTP status code
        title:
          type: string
          description: HTTP status title
        metadata:
          type: object
          additionalProperties: {}
          description: Additional error metadata
      required:
        - detail
        - status
        - title
      additionalProperties: false
    ListEnterpriseControlChangeHistory401ResponseBody:
      type: object
      properties:
        detail:
          type: string
          description: Human-readable error message
        status:
          type: number
          description: HTTP status code
        title:
          type: string
          description: HTTP status title
        metadata:
          type: object
          additionalProperties: {}
          description: Additional error metadata
      required:
        - detail
        - status
        - title
      additionalProperties: false
    ListEnterpriseControlChangeHistory403ResponseBody:
      type: object
      properties:
        detail:
          type: string
          description: Human-readable error message
        status:
          type: number
          description: HTTP status code
        title:
          type: string
          description: HTTP status title
        metadata:
          type: object
          additionalProperties: {}
          description: Additional error metadata
      required:
        - detail
        - status
        - title
      additionalProperties: false
    ListEnterpriseControlChangeHistory500ResponseBody:
      type: object
      properties:
        detail:
          type: string
          description: Human-readable error message
        status:
          type: number
          description: HTTP status code
        title:
          type: string
          description: HTTP status title
        metadata:
          type: object
          additionalProperties: {}
          description: Additional error metadata
      required:
        - detail
        - status
        - title
      additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Factory API key or JWT token for authentication

````